package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 考察配置与考察主关联对象 investigate_disposition_table
 * 
 * @author ruoyi
 * @date 2023-10-10
 */
public class InvestigateDispositionTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 考察主表id */
    private Long investigateTableId;

    /** 考察配置表id */
    private Long investigateDispositionId;

    /**
     * 链接地址
     */
    private String url;
    /**
     * 考察具体内容
     */
    private String content;

    private String title;
    private String investigateName;
    private String endTime;
    private String cipher;

    public String getCipher() {
        return cipher;
    }

    public void setCipher(String cipher) {
        this.cipher = cipher;
    }

    public String getInvestigateName() {
        return investigateName;
    }

    public void setInvestigateName(String investigateName) {
        this.investigateName = investigateName;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public void setInvestigateTableId(Long investigateTableId)
    {
        this.investigateTableId = investigateTableId;
    }

    public Long getInvestigateTableId() 
    {
        return investigateTableId;
    }
    public void setInvestigateDispositionId(Long investigateDispositionId) 
    {
        this.investigateDispositionId = investigateDispositionId;
    }

    public Long getInvestigateDispositionId() 
    {
        return investigateDispositionId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("investigateTableId", getInvestigateTableId())
            .append("investigateDispositionId", getInvestigateDispositionId())
            .toString();
    }
}
